Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 833868 - sci-electronics/gazebo-11.10.1 fails to compile: VideoEncoder.cc:239:56: error: invalid conversion from const AVOutputFormat to AVOutputFormat [-fpermissive]
Summary: sci-electronics/gazebo-11.10.1 fails to compile: VideoEncoder.cc:239:56: erro...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alexis Ballier
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ffmpeg-5.0
  Show dependency tree
 
Reported: 2022-02-22 07:40 UTC by Agostino Sarubbo
Modified: 2022-03-02 19:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,534.23 KB, text/plain)
2022-02-22 07:40 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2022-02-22 07:40:48 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-electronics/gazebo-11.10.1 fails to compile.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2022-02-22 07:40:51 UTC
Created attachment 765598 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2022-02-22 07:40:52 UTC
Error(s) that match a know pattern in addition to what has been reported in the summary:


  Could not find a package configuration file provided by "Simbody" with any
-- Could NOT find DART (missing: DART_DIR)
-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE) 
--   Package 'freeimage', required by 'virtual:world', not found
--   Package 'libprofiler', required by 'virtual:world', not found
--   Package 'libtcmalloc', required by 'virtual:world', not found
--   Package 'OculusVR', required by 'virtual:world', not found
--   Package 'playercore', required by 'virtual:world', not found
--   Package 'playerc++', required by 'virtual:world', not found
--   Package 'playerwkb', required by 'virtual:world', not found
/var/tmp/portage/sci-electronics/gazebo-11.10.1/work/gazebo-11.10.1/gazebo/common/VideoEncoder.cc:239:56: error: invalid conversion from ‘const AVOutputFormat*’ to ‘AVOutputFormat*’ [-fpermissive]
Comment 3 Larry the Git Cow gentoo-dev 2022-03-02 17:45:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=218f0e9d77cc20c2c6f37cbe2d25e608ba80ea09

commit 218f0e9d77cc20c2c6f37cbe2d25e608ba80ea09
Author:     Alexis Ballier <aballier@gentoo.org>
AuthorDate: 2022-03-02 17:27:32 +0000
Commit:     Alexis Ballier <aballier@gentoo.org>
CommitDate: 2022-03-02 17:45:01 +0000

    sci-electronics/gazebo: fix build with ffmpeg4
    
    Closes: https://bugs.gentoo.org/833868
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Alexis Ballier <aballier@gentoo.org>

 sci-electronics/gazebo/files/ffmpeg4.patch   | 16 ++++++++++++++++
 sci-electronics/gazebo/gazebo-11.10.1.ebuild |  1 +
 2 files changed, 17 insertions(+)